<#ibiztemplate>
TARGET=PSDEDATAIMP
</#ibiztemplate>
<#comment>引入驼峰配置</#comment>
<#ibizinclude>/SLN/globalfunc.cfg</#ibizinclude>
package ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.mapping;

import ${pub.getPKGCodeName()}.core.${de.getPSSystemModule().codeName?lower_case}.domain.${de.codeName};
import org.mapstruct.*;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface ${de.codeName}${item.codeName} {
    <#assign keyFieldName=srfr7templcaseformat(de.getKeyPSDEField().getCodeName())>
    <#if item.getPSDEDataImportItems?? && item.getPSDEDataImportItems()??>
    @Mappings({
        <#if item.codeName != 'Default'>
        @Mapping(target = "${keyFieldName}", source = "${keyFieldName}"),
        <#list item.getPSDEDataImportItems() as importItem>
            <#if importItem.getPSDEField()?? && importItem.getPSDEField().isKeyDEField()==false>
                <#assign deFieldName = srfr7templcaseformat(importItem.getPSDEField().getCodeName())?cap_first>
        @Mapping(target = "${deFieldName}", source = "${deFieldName}"),
            </#if>
        </#list>
        </#if>

    })
    @BeanMapping(ignoreByDefault = true)
    </#if>
    ${de.codeName} toDomain(${de.codeName} entity);

    List<${de.codeName}> toDomain(List<${de.codeName}> entities);
}